Infront Data Manager Connect Client (.NET)

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
Gevasys.DataCore.Configuration.Generated.Partitioner Class Reference

This class represents the ComplexType Partitioner More...

Inherits Gevasys.DataCore.Configuration.Generated.XmlCommonBase.

## Public Member Functions
| Partitioner ()
| Constructor for Partitioner More...
| Partitioner (String elementName)
override object | Clone ()
| Allows the class to be copied More...
override LiquidTechnologies.Runtime.Net40.XmlObjectBase | GetBase ()

## Protected Member Functions
override void | Init ()
| Initilizes the class More...

## Protected Attributes
Boolean | m_Enabled
Boolean | m_AutomaticRebalance
String | m_Name
Gevasys.DataCore.Configuration.Generated.XmlAbstractObjectCollection< Gevasys.DataCore.Configuration.Generated.IConsumer > | m_Consumer
Gevasys.DataCore.Configuration.Generated.XmlSimpleTypeCollection< LiquidTechnologies.Runtime.Net40.XmlDateTime > | m_RebalanceTimes

## Properties
override String | TargetNamespace`[get]`
Boolean | Enabled`[get, set]`
| Represents a mandatory Attribute in the XML document More...
Boolean | AutomaticRebalance`[get, set]`
| Represents a mandatory Attribute in the XML document More...
String | Name`[get, set]`
| Represents a mandatory Attribute in the XML document More...
Gevasys.DataCore.Configuration.Generated.XmlAbstractObjectCollection< Gevasys.DataCore.Configuration.Generated.IConsumer > | Consumer`[get]`
| A collection of Consumer's More...
Gevasys.DataCore.Configuration.Generated.XmlSimpleTypeCollection< LiquidTechnologies.Runtime.Net40.XmlDateTime > | RebalanceTimes`[get]`
| A collection of LiquidTechnologies.Runtime.Net40.XmlDateTime's More...
override String | Namespace`[get]`

## Detailed Description

This class represents the ComplexType Partitioner

## Constructor & Destructor Documentation

## ◆ Partitioner()

Gevasys.DataCore.Configuration.Generated.Partitioner.Partitioner | ( |  | ) |
| inline

Constructor for Partitioner

The class is created with all the mandatory fields populated with the default data.
All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd

## Member Function Documentation

## ◆ Clone()

override object Gevasys.DataCore.Configuration.Generated.Partitioner.Clone | ( |  | ) |
| inline

Allows the class to be copied

Performs a 'deep copy' of all the data in the class (and its children)

## ◆ Init()

override void Gevasys.DataCore.Configuration.Generated.Partitioner.Init | ( |  | ) |
| inline protected

Initilizes the class

The Creates all the mandatory fields (populated with the default data) All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd.

## Property Documentation

## ◆ AutomaticRebalance

Boolean Gevasys.DataCore.Configuration.Generated.Partitioner.AutomaticRebalance
| get set

Represents a mandatory Attribute in the XML document

This property is represented as an Attribute in the XML.
It is mandatory and therefore must be populated within the XML.
It is defaulted to false.

## ◆ Consumer

Gevasys.DataCore.Configuration.Generated.XmlAbstractObjectCollection<Gevasys.DataCore.Configuration.Generated.IConsumer> Gevasys.DataCore.Configuration.Generated.Partitioner.Consumer
| get

A collection of Consumer's

This property is represented as an Element in the XML.
This collection may contain 0 to 16 objects.

## ◆ Enabled

Boolean Gevasys.DataCore.Configuration.Generated.Partitioner.Enabled
| get set

Represents a mandatory Attribute in the XML document

This property is represented as an Attribute in the XML.
It is mandatory and therefore must be populated within the XML.
It is defaulted to false.

## ◆ Name

String Gevasys.DataCore.Configuration.Generated.Partitioner.Name
| get set

Represents a mandatory Attribute in the XML document

This property is represented as an Attribute in the XML.
It is mandatory and therefore must be populated within the XML.
It is defaulted to "".

## ◆ RebalanceTimes

Gevasys.DataCore.Configuration.Generated.XmlSimpleTypeCollection<LiquidTechnologies.Runtime.Net40.XmlDateTime> Gevasys.DataCore.Configuration.Generated.Partitioner.RebalanceTimes
| get

A collection of LiquidTechnologies.Runtime.Net40.XmlDateTime's

This property is represented as an Element in the XML.
This collection may contain 0 to 24 LiquidTechnologies.Runtime.Net40.XmlDateTime's.

The documentation for this class was generated from the following file:

- Partitioner.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1